Subject: Re: Bug#901678: debhelper: Dh_Lib:get_buildoptions() does not honor DEB_BUILD_MAINT_OPTIONS

From: Niels Thykier <[email-masked]>
Date: Sun, 17 Jun 2018 16:44:00 +0000

Control: tags -1 moreinfo

On Sat, 16 Jun 2018 18:44:25 +0200 Guillem Jover <[email-masked]> wrote:
> [...]
> 
> > But lintian complains that it should be set to DEB_BUILD_MAINT_OPTIONS
> > instead.
> > 
> > But when I change it to DEB_BUILD_MAINT_OPTIONS=nocheck (or "export
> > DEB_BUILD_MAINT_OPTIONS=nocheck"), the tests are run.
> > DEB_BUILD_MAINT_OPTIONS is being ignored at build time.
> > 
> > Is it dh and debhelper that the bug needs to be sent to?
> 
> [...]
> 
> The one you report seems to be a bug in debhelper. But I think the
> usual pattern is to just add an override for the dh_auto_test command
> instead?
> 
> Thanks,
> Guillem
> 
> 

Indeed, overriding dh_auto_test is probably what you are looking for.

As for debhelper supporting DEB_BUILD_MAINT_OPTIONS.  It is possible,
but are we sure it makes sense for packagers to DEB_BUILD_MAINT_OPTIONS
for things like nocheck, nostrip, noautodbgsym, parallel=n, etc.?

Thanks,
~Niels